Last Comment Bug 778597 - Intermittent browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
: Intermittent browser_webconsole_position_ui.js | Timed out while waiting for:...
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: Firefox 17
Assigned To: Mihai Sucan [:msucan]
:
: Brian Grinstead [:bgrins]
Mentors:
Depends on:
Blocks: 438871 688981
  Show dependency treegraph
 
Reported: 2012-07-29 17:46 PDT by Ryan VanderMeulen [:RyanVM]
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed


Attachments
proposed fix (7.01 KB, patch)
2012-08-02 08:58 PDT, Mihai Sucan [:msucan]
rcampbell: review+
Details | Diff | Splinter Review

Description Ryan VanderMeulen [:RyanVM] 2012-07-29 17:46:09 PDT
This started when bug 688981 landed on mozilla-central and inbound.

https://tbpl.mozilla.org/php/getParsedLog.php?id=13952435&tree=Mozilla-Inbound

Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-07-29 16:03:28 PDT for push 36c30260e7fa
slave: talos-r4-lion-014

TEST-START | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | positionConsole() is available
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | menuitem for above positioning calls positionConsole() correctly
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | menuitem for below positioning calls positionConsole() correctly
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | menuitem for window positioning calls positionConsole() correctly
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | initial console position is correct
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | position menu checkbox is below
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | pref is below
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | web console position changed to 'above'
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | above position is correct
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | position menu checkbox is above
TEST-PASS | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | pref is above
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Stack trace:
    JS frame :: chrome://mochitests/content/browser/browser/devtools/webconsole/test/head.js :: wait :: line 241
    JS frame :: chrome://mochitests/content/browser/browser/devtools/webconsole/test/head.js :: <TOP_LEVEL> :: line 251
    native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0

INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | finished in 5449ms
Comment 1 Ryan VanderMeulen [:RyanVM] 2012-07-29 17:47:51 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=13953199&tree=Firefox
Comment 2 Treeherder Robot 2012-07-30 08:58:36 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13970916&tree=Firefox
Rev4 MacOSX Lion 10.7 mozilla-central opt test mochitest-other on 2012-07-30 08:14:35
slave: talos-r4-lion-063

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 3 Treeherder Robot 2012-07-30 16:34:39 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13982651&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central opt test mochitest-other on 2012-07-30 15:35:03
slave: talos-r4-snow-030

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 4 Treeherder Robot 2012-07-30 19:32:33 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=13987226&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-07-30 18:32:37
slave: talos-r4-lion-077

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 5 Treeherder Robot 2012-07-30 22:07:53 PDT
jwein%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13991367&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-07-30 21:25:02
slave: talos-r4-snow-064

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_social_toolbar.js | portrait is set - Got chrome://browser/skin/social/social.png, expected
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/components/social/test/browser/browser_workerAPI.js | portrait is set - Got , expected chrome://branding/content/icon48.png
Comment 6 Treeherder Robot 2012-07-31 02:02:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13986954&tree=Services-Central
Rev4 MacOSX Lion 10.7 services-central opt test mochitest-other on 2012-07-30 18:24:04
slave: talos-r4-lion-047

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 7 Treeherder Robot 2012-07-31 08:45:17 PDT
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=14003723&tree=Try
Rev4 MacOSX Lion 10.7 try opt test mochitest-other on 2012-07-31 06:58:58
slave: talos-r4-lion-018

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 8 Treeherder Robot 2012-07-31 12:39:26 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14011254&tree=Profiling
Rev4 MacOSX Snow Leopard 10.6 profiling opt test mochitest-other on 2012-07-31 11:42:03
slave: talos-r4-snow-061

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 9 Treeherder Robot 2012-07-31 17:57:44 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14019235&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-07-31 17:08:55
slave: talos-r4-snow-015

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 10 Treeherder Robot 2012-07-31 23:49:32 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14019398&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-07-31 17:20:49
slave: talos-r4-snow-022

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 11 Treeherder Robot 2012-08-01 00:10:41 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14027533&tree=Firefox
Rev3 WINNT 6.1 mozilla-central opt test mochitest-other on 2012-07-31 22:37:07
slave: talos-r3-w7-021

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 12 Treeherder Robot 2012-08-01 01:04:28 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14028926&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-07-31 23:51:14
slave: talos-r4-snow-048

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 13 Treeherder Robot 2012-08-01 01:13:52 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14026790&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test mochitest-other on 2012-07-31 22:03:45
slave: talos-r3-w7-060

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 14 Treeherder Robot 2012-08-01 01:14:16 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14026790&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test mochitest-other on 2012-07-31 22:03:45
slave: talos-r3-w7-060

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 15 Treeherder Robot 2012-08-01 01:19:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14027997&tree=Profiling
Rev4 MacOSX Snow Leopard 10.6 profiling opt test mochitest-other on 2012-07-31 23:07:36
slave: talos-r4-snow-016

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 16 Treeherder Robot 2012-08-01 01:24:09 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14024297&tree=Services-Central
Rev4 MacOSX Snow Leopard 10.6 services-central opt test mochitest-other on 2012-07-31 20:22:42
slave: talos-r4-snow-033

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 17 Treeherder Robot 2012-08-01 04:17:35 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14033402&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-08-01 03:24:45
slave: talos-r3-xp-040

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 18 Treeherder Robot 2012-08-01 04:28:01 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14033805&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitest-other on 2012-08-01 03:38:28
slave: talos-r3-xp-057

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 19 Treeherder Robot 2012-08-01 08:38:30 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=14038397&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-01 07:39:28
slave: talos-r4-lion-034

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 20 Treeherder Robot 2012-08-01 10:14:34 PDT
terrence
https://tbpl.mozilla.org/php/getParsedLog.php?id=14015472&tree=Try
Rev4 MacOSX Lion 10.7 try opt test mochitest-other on 2012-07-31 14:40:21
slave: talos-r4-lion-070

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 21 Treeherder Robot 2012-08-01 10:48:03 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14040776&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-08-01 09:41:54
slave: talos-r3-xp-039

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 22 Treeherder Robot 2012-08-01 11:35:41 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=14042001&tree=Firefox
Rev3 WINNT 6.1 mozilla-central opt test mochitest-other on 2012-08-01 10:39:26
slave: talos-r3-w7-056

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 23 Treeherder Robot 2012-08-01 17:11:38 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14050893&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-01 16:28:57
slave: talos-r4-lion-026

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 24 Treeherder Robot 2012-08-01 17:36:15 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14051380&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-01 16:45:28
slave: talos-r4-lion-053

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 25 Treeherder Robot 2012-08-01 17:37:10 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=14051380&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-01 16:45:28
slave: talos-r4-lion-053

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 26 Treeherder Robot 2012-08-01 19:58:59 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14055040&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-01 19:16:01
slave: talos-r4-lion-064

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 27 Treeherder Robot 2012-08-01 22:31:18 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=14055539&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-01 19:39:04
slave: talos-r4-lion-065

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 28 Treeherder Robot 2012-08-01 22:35:03 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=14056585&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central opt test mochitest-other on 2012-08-01 20:31:41
slave: talos-r4-snow-060

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 29 Treeherder Robot 2012-08-02 03:11:37 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14059478&tree=Birch
Rev4 MacOSX Lion 10.7 birch opt test mochitest-other on 2012-08-01 23:06:40
slave: talos-r4-lion-082

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 30 Treeherder Robot 2012-08-02 08:06:45 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14069167&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central opt test mochitest-other on 2012-08-02 07:15:16
slave: talos-r4-snow-037

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 31 Treeherder Robot 2012-08-02 08:41:24 PDT
vporof
https://tbpl.mozilla.org/php/getParsedLog.php?id=14069629&tree=Try
Rev4 MacOSX Lion 10.7 try opt test mochitest-other on 2012-08-02 07:41:23
slave: talos-r4-lion-043

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 32 Mihai Sucan [:msucan] 2012-08-02 08:58:34 PDT
Created attachment 648361 [details] [diff] [review]
proposed fix

Green try runs:
https://tbpl.mozilla.org/?tree=Try&rev=21fb97db3316

Explanation:

1. I made changes so I was able to repro the failure on my system.
2. Found that the iframe onload event fires before popupshown (window positioning), so some code never executed - the test waited 5 seconds for specific changes in the HUD object, then timed out. The _afterPositionConsole() method added the load event listener in the popupshown event handler.
3. Solution: add the onload event listener before we move the iframe element in the DOM, not after.

Results are green after 50+ repeated runs on my system. Also green on try servers.
Comment 33 Treeherder Robot 2012-08-02 10:53:23 PDT
Benjamin
https://tbpl.mozilla.org/php/getParsedLog.php?id=14073308&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-02 10:10:50
slave: talos-r4-lion-065

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 34 Treeherder Robot 2012-08-02 14:22:44 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14072511&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-08-02 09:23:17
slave: talos-r3-xp-012

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_459906.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_459906.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/sessionstore/test/browser_459906_sample.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_459906.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/browser/components/sessionstore/test/browser_459906_sample.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_459906.js | an unexpected uncaught JS exception reported through window.onerror - TypeError: tab2.linkedBrowser is null at chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_459906.js:34
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 35 Treeherder Robot 2012-08-02 16:57:35 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14082396&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-08-02 16:12:45
slave: talos-r4-snow-074

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 36 Treeherder Robot 2012-08-02 17:37:43 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14083380&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-02 16:55:15
slave: talos-r4-lion-061

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_homeDrop.js | an unexpected uncaught JS exception reported through window.onerror - NS_ERROR_FAILURE: Failure at chrome://browser/content/browser.js:6369
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 37 Treeherder Robot 2012-08-02 17:41:32 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14083444&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-08-02 16:56:43
slave: talos-r4-snow-021

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 38 Treeherder Robot 2012-08-02 19:13:15 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=14085352&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-08-02 18:33:09
slave: talos-r4-snow-068

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 39 Treeherder Robot 2012-08-03 01:54:55 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14087039&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-02 19:45:35
slave: talos-r4-lion-042

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 40 Treeherder Robot 2012-08-03 02:11:57 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14090621&tree=Birch
Rev4 MacOSX Snow Leopard 10.6 birch opt test mochitest-other on 2012-08-02 23:13:14
slave: talos-r4-snow-014

43986 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_native_mouse_mac.xul | received event I didn't expect: {"type":"mouseout","target":"panel","screenX":387,"screenY":170}
43987 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_native_mouse_mac.xul | Didn't receive expected event: {"type":"mousemove","target":"panel","screenX":387,"screenY":171}
43988 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_native_mouse_mac.xul | received event I didn't expect: {"type":"mouseover","target":"panel","screenX":387,"screenY":171}
43989 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_native_mouse_mac.xul | received event I didn't expect: {"type":"mousemove","target":"panel","screenX":387,"screenY":171}
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 41 Treeherder Robot 2012-08-03 05:01:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14094922&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central opt test mochitest-other on 2012-08-03 04:07:20
slave: talos-r4-snow-076

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 42 Treeherder Robot 2012-08-03 05:17:49 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14095966&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-08-03 04:39:56
slave: talos-r4-snow-066

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 43 Treeherder Robot 2012-08-03 10:04:19 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14102126&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-08-03 09:20:36
slave: talos-r4-snow-084

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 44 Treeherder Robot 2012-08-03 10:33:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14102200&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-03 09:20:35
slave: talos-r4-lion-005

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 45 Treeherder Robot 2012-08-03 13:22:14 PDT
Benjamin
https://tbpl.mozilla.org/php/getParsedLog.php?id=14105844&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-08-03 12:03:33
slave: talos-r4-snow-046

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 46 Rob Campbell [:rc] (:robcee) 2012-08-03 13:51:55 PDT
Comment on attachment 648361 [details] [diff] [review]
proposed fix

R+++++++!!!
Comment 47 Rob Campbell [:rc] (:robcee) 2012-08-03 14:06:48 PDT
https://hg.mozilla.org/mozilla-central/rev/8d1a0d6f5703
Comment 48 Ed Morley [:emorley] 2012-08-03 14:12:26 PDT
<3

Thank you!
Comment 49 Treeherder Robot 2012-08-03 15:22:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14105330&tree=Birch
Rev4 MacOSX Lion 10.7 birch opt test mochitest-other on 2012-08-03 11:36:00
slave: talos-r4-lion-008

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'
Comment 50 Treeherder Robot 2012-08-03 16:59:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14112170&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound opt test mochitest-other on 2012-08-03 16:13:48
slave: talos-r4-lion-084

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_position_ui.js | Timed out while waiting for: web console position changed to 'window'

Note You need to log in before you can comment on or make changes to this bug.